std::is_pod(3)

NAME
std::is_pod - std::is_pod

Synopsis
   Defined in header <type_traits>
   template< class T > (since C++11)
   struct is_pod; (deprecated in C++20)
   std::is_pod is a UnaryTypeTrait.
   If T is a POD type ("plain old data type"), provides the member constant value equal
   to true. For any other type, value is false.
   If std::remove_all_extents_t<T> is an incomplete type and not (possibly
   cv-qualified) void, the behavior is undefined.
   If the program adds specializations for std::is_pod or std::is_pod_v, the behavior
   is undefined.

Template parameters
   T - a type to check
   Helper variable template
   template< class T > (since C++17)
   inline constexpr bool is_pod_v = is_pod<T>::value; (deprecated in C++20) Inherited from std::integral_constant

Member constants
   value true if T is a POD type, false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Example
// Run this code
 #include <type_traits>
 struct A { int m; };
 static_assert(std::is_pod_v<A> == true);
 class B: public A { int m; };
 static_assert(std::is_pod_v<B> == false);
 struct C { virtual void foo(); };
 static_assert(std::is_pod_v<C> == false);
 int main() {}
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2015 C++11 T could be an array of incomplete the behavior is
                       class type with unknown bound undefined in this case

See also
   is_standard_layout checks if a type is a standard-layout type
   (C++11) (class template)
   is_trivial checks if a type is trivial
   (C++11) (class template)
   is_scalar checks if a type is a scalar type
   (C++11) (class template)

External links
   Why is std::is_pod deprecated in C++20? — StackOverflow